[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.BeforeDragStart

Performs actions needed before a drag operation is started for the control.

## Declaration

Source position: controls.pp line 1463

`protected procedure TControl.BeforeDragStart; virtual;`

## Description

BeforeDragStart has an empty implementation in TControl. The virtual method can be overridden in descendent classes to perform the actions needed. Some common actions include updating control flags or checking for a valid Handle before starting the drag operation.

BeforeDragStart is called from the DragStart method in TDragManager.

## See also

TDragManager.DragStart |  | Starts a drag operation for a control.
DragManager |  | The current DragManager (always TDragManagerDefault).